LossDistBinomial Class Reference

Binomial loss distribution. More...

`#include <ql/experimental/credit/lossdistribution.hpp>`

Inheritance diagram for LossDistBinomial:
[legend]

## Public Member Functions

| LossDistBinomial (Size nBuckets, Real maximum)
Distribution | operator() (Size n, Real volume, Real probability) const
Distribution | operator() (const std::vector< Real > &volumes, const std::vector< Real > &probabilities) const
Size | buckets () const
Real | maximum () const
Real | volume () const
Size | size () const
std::vector< Real > | probability () const
std::vector< Real > | excessProbability () const

## Additional Inherited Members

Static Public Member Functions inherited from LossDist
static Real | binomialProbabilityOfNEvents (int n, std::vector< Real > &p)
static Real | binomialProbabilityOfAtLeastNEvents (int n, std::vector< Real > &p)
static std::vector< Real > | probabilityOfNEvents (std::vector< Real > &p)
static Real | probabilityOfNEvents (int n, std::vector< Real > &p)
static Real | probabilityOfAtLeastNEvents (int n, std::vector< Real > &p)

## Detailed Description

Binomial loss distribution.

Binomial loss distribution